Package org.eclipse.mat.ui.accessibility

# Class AccessibleCompositeAdapter

java.lang.Object
org.eclipse.mat.ui.accessibility.AccessibleCompositeAdapter

public class AccessibleCompositeAdapter extends Object
AccessibleCompositeAdapter Accessibility utility class provides a single encapsulated implementation of accessibility enhancements for Table and Tree Controls within MAT. The implementation is essentially the same for both types of view, adding an Accessible Listener to cause a specially constructed name for each item to be passed to the accessibility client (Screen Reader).

## Constructor Summary

Constructors
Constructor
Description
`AccessibleCompositeAdapter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`access(Table table)`
`static void`
`access(Tree tree)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleCompositeAdapter

public AccessibleCompositeAdapter()

## Method Details

### access

public static void access(Table table)

Parameters:
  `table` - The Table to decorate with Accessible.

### access

public static void access(Tree tree)

Parameters:
  `tree` - The Tree to decorate with Accessible.